package com.yizhi.calendar.application.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 日历打卡设置请求类
 *
 * @author hecong
 * @date 2019-10-11
 */
@ApiModel("日历打卡设置请求类")
@Data
public class CalendarParam {

    @ApiModelProperty("首次签到积分")
    private Integer firstPoint;
    
    @ApiModelProperty("积分设置类型")
    private Integer setType;
    
    @ApiModelProperty("周期")
    private Long cycle;
    
    @ApiModelProperty("周期")
    private List<CalendarPointSetParam> calendarPointSets;
    
    @ApiModelProperty("是否开启")
    private Integer state;
}
