package com.yizhi.calendar.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 日签海报表
 * </p>
 *
 * @author fulan123
 * @since 2019-10-10
 */
@Data
@ApiModel(value = "CalendarPoster", description = "日签海报表")
@TableName("calendar_poster")
public class CalendarPosterVO {

    private static final long serialVersionUID = 1L;

	private Long id;

    @ApiModelProperty(value = "下载地址")
	private String url;

    @ApiModelProperty(value = "鸡汤文")
	private String content;
    
    @ApiModelProperty(value = "base64编码")
	private String base64Code;
}
