package com.yizhi.calendar.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "CalendarStatisticVO",description = "签到打卡统计数据")
@Data
public class CalendarStatisticVO {

	@ApiModelProperty(value = "用户id")
	private Long accountId;

	@ApiModelProperty(value = "用户名")
	private String name;

	@ApiModelProperty(value = "姓名")
	private String fullName;

	@ApiModelProperty(value = "部门名称")
	private String orgName;

	@ApiModelProperty(value = "部门所在组织架构")
	private String orgNames;

	@ApiModelProperty(value = "工号")
	private String workNum;

	@ApiModelProperty(value = "职位")
	private String position;

	@ApiModelProperty(value = "打卡次数")
	private Integer count;

	@ApiModelProperty(value = "获得积分")
	private Integer point;
}
