package com.yizhi.calendar.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "CalendarDetailStatisticVO",description = "签到明细信息")
@Data
public class CalendarDetailStatisticVO{

	@ApiModelProperty(value = "用户名")
	private String name;

	@ApiModelProperty(value = "姓名")
	private String fullName;

	@ApiModelProperty(value = "部门名称")
	private String orgName;

	@ApiModelProperty(value = "所在组织架构")
	private String orgNames;

	@ApiModelProperty(value = "工号")
	private String workNum;

	@ApiModelProperty(value = "职位")
	private String position;

    @ApiModelProperty(value = "用户id")
	private Long accountId;

    @ApiModelProperty(value = "发放积分")
	private Integer point;

    @ApiModelProperty(value = "签到日期")
	private String signDate;

    @ApiModelProperty(value = "打卡时间")
	private String signTime;
}
