package com.yizhi.calendar.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 日历打卡记录表
 * </p>
 *
 * @author fulan123
 * @since 2019-10-10
 */
@Data
@ApiModel(value = "CalendarRecord", description = "日历打卡记录表")
public class CalendarRecordVO {

    private static final long serialVersionUID = 1L;

	private Long id;

    @ApiModelProperty(value = "用户id")
	private Long accountId;

    @ApiModelProperty(value = "首次打卡0,否1 默认首次打卡")
	private Integer firstSign;

    @ApiModelProperty(value = "发放积分")
	private Integer point;

    @ApiModelProperty(value = "签到日期")
	private String signDate;

    @ApiModelProperty(value = "打卡时间")
	private String signTime;
    
    @ApiModelProperty(value = "海报id")
	private Long posterId;

    @ApiModelProperty(value = "创建时间")
	private Date createTime;

    @ApiModelProperty(value = "企业ID")
	private Long companyId;

    @ApiModelProperty(value = "站点ID")
	private Long siteId;

    @ApiModelProperty(value = "部门ID")
	private Long orgId;

}
